Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 04:17PM

On laptopA, with Wampserver 3.1.1 (32b), updated to Windows10 1809 and all went well, with green Wamp icon.

On laptopB, which was on 3.1.8 (32bit), also did the Windows 10 1809 update, and now Wamp icon stays orange and cannot run Wampserver.

ran the vc_redist_x86_x64.exe on both laptops, and it indicates missing files from 2008,2013 and 2017 identically on both. If it is an issue, why is one installation working and the other not? I'm afraid might still be an issue after updating those files.

Can I safely download the full vcr_redist zip for x86, x64 and install?

Thanks,

Ron



Edited 2 time(s). Last edit at 04/07/2019 05:06PM by ronk.

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: Otomatic (Moderator)
Date: April 07, 2019 05:11PM

Hi,

The Windows update in 1809 often tends to remove VC++ packages and/or reset the hosts file and/or delete some services necessary for wampserver.
After upgrading to Windows 1809, did you check that all VC++ packages were still present?

- Verify that all VC ++ packages are installed and with the latest versions.
To do this, use the tool:
Checks VC++ packages installed
Do not use a previously loaded tool. Make a new download to make sure you are using the correct version.
To download missing packages, do not rely on Microsoft links, they are not reliable, download packages on http://wampserver.aviatechno.net in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

If the icon is orange, at least one service is not started. Use the built-in tools in wampserver to see which service(s) is not started.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.8 32 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.14
Wampserver 3.1.8 64 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25/8.0.15 - MariaDB 10.3.14
PhPMyadmin 4.8.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 05:36PM

I ran the vcr check prog, and downloaded from your link to the Wampserver repository and successfully installed ALL missing files, and the vcr check now indicates all necessary C++ files are installed to run Wampserver (does it check x64 also). Yet, I still get the orange icon, so apparently that was not the primary issue.


Using tools, seeing this:
State of services:

The service 'wampapache' is NOT started
EXIT error code:1066
Help message for error code 1066 is:
The service has returned a service-specific error code.



The service 'wampmysqld' is started

The service 'dnscache' is started

WampServer (Apache, PHP and MySQL) will not function properly if any service
'wampapache'
'wampmysqld'
'dnscache'
is not started.


Also, tools checking Compiler compatibility get this:
Compiler Visual C++ versions used:

PHP 5.5.12 Compiler => MSVC11 (Visual C++ 2012)
Architecture => x86
is compatible with Apache 2.4.18
is compatible with Apache 2.4.9

PHP 5.6.18 Compiler => MSVC11 (Visual C++ 2012)
Architecture => x86
is compatible with Apache 2.4.18
is compatible with Apache 2.4.9

PHP 7.0.3 Compiler => MSVC14 (Visual C++ 2015)
Architecture => x86
is compatible with Apache 2.4.18
is compatible with Apache 2.4.9
There could be some problems between Apache VC11 and PHP VC14



MySQL Ver 5.6.17 for Win64 on x86_64 (MySQL Community Server (GPL))
MySQL Ver 5.6.29 for Win32 on AMD64 (MySQL Community Server (GPL))




Apache 2.4.18 Apache Lounge VC14 Server built: Dec 9 2015 10:17:39
Architecture: 32-bit
Apache 2.4.9 Apache Lounge VC11 Server built: Mar 16 2014 12:13:13
Architecture: 32-bit

WARNING - WARNING - WARNING
It is IMPERATIVE that all versions are the SAME TYPE
There are:
5 version(s) for x86 (32-bit)
1 version(s) for x64 (64-bit)
32 bit versions are
apache2.4.18
apache2.4.9
php5.5.12
php5.6.18
php7.0.3
64 bit versions are
mysql5.6.17



Ron



Edited 1 time(s). Last edit at 04/07/2019 05:39PM by ronk.

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 05:43PM

I'm seeing this when examining Apache:
Your port 80 is actually used by :

Server: Microsoft-IIS/10.0

Cannot install the Apache service, please stop this application and try again.

Press Enter to exit...

Is this the issue? What is MS IIS and how do fix the port 80 issue?

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 05:47PM

I just changed port to 8080 for local host and went GREEN!


Still curious why the other Wamp installation runs with the missing vc++ files?


Ron

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 05:51PM

Well, thought with Green icon, all would run. However, getting a 404 not found when trying to run my app from localhost??

Will try restarting but may be still something not right.

Ron

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: Otomatic (Moderator)
Date: April 07, 2019 05:53PM

Hi,

Here, something I had omitted, during the 1809 update, Microsoft can also put IIS back online.
Apply point 08 of TROUBLESHOOTING TIPS

> MySQL Ver 5.6.17 for Win64 on x86_64 (MySQL Community Server (GPL))
It's very weird that you have a 64-bit MySQl version.
I hope that the basic version you are using is version 5.6.29, which will allow you, still with the integrated tools, to remove version 5.6.17 64 bits.

> I just changed port to 8080 for local host and went GREEN!
How?

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.8 32 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.14
Wampserver 3.1.8 64 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25/8.0.15 - MariaDB 10.3.14
PhPMyadmin 4.8.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »



Edited 1 time(s). Last edit at 04/07/2019 06:12PM by Otomatic.

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 06:16PM

I had already done point 8 before your response, i.e., turning IIS off in Windows feature (google). That enabled freeing up port 80.

But, with 3.1.8, still getting 404 errors to my application, though.

Yes, I switched to php 5.6.29 just now.

BTW...I have another complete Wamp folder with 3.1.1, and if I swap that folder in, all apps work fine. If I swap back to the Wamp 3.1.8, the same issue remains. I may have to revert to the one that is working for now.

Ron

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 06:20PM

I should have added that I'm using port 8080 on the Wamp 3.1.8 which the app doesn't find. I may have to alter an app config file for that port perhaps.

Ron

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: Otomatic (Moderator)
Date: April 07, 2019 06:35PM

Hi,

If you want to use an alternative port and not the default port, you should not change the port "by hand" directly in the files, but do it by the integrated tools of Wampserver; in this way the port number is changed wherever it should be.
However, this is not a good idea, the port reserved for the http protocol is port 80.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.8 32 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.14
Wampserver 3.1.8 64 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25/8.0.15 - MariaDB 10.3.14
PhPMyadmin 4.8.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 06:43PM

The Wamp installation (folder) that's having issue is port 80. I didn't do by hand, but used the Wamp tools to change ports. I guess now having issue with both Wamp folders, one with the 404, the other not going green.

Sigh...It's looking like a full install is in my future. I just very apprehensive in doing that because the app using it is not a straight forward installation with the sql db needing rebuilding.

Ron

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: Otomatic (Moderator)
Date: April 07, 2019 07:27PM

Hi,

You have to export databases into SQL file from "old" Mysql then import it with the new MySQL.

See Note: Install a new version of WAMPServer.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.8 32 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.14
Wampserver 3.1.8 64 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25/8.0.15 - MariaDB 10.3.14
PhPMyadmin 4.8.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 08:13PM

ALL good now on Wampserver32 v3.1.8, on Win10 1809.

I removed the second Wamp folder, and the app is now working, and all is green. Apparently having the multiple folders was confusing an app config I didn't catch.

Thanks for the tips and links-- will keep your advice in mind.

Still curious why, with all the vcr files missing on the other laptop, all works ok. Oh well, will make sure to update them there as well.

Ron

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: Otomatic (Moderator)
Date: April 07, 2019 08:23PM

Hi,

If you don't use Apache, PHP, MySQL, MariaDB. version that are compiled with VC15 you don't need VC15 package.
The tool check all VC version because Wampserver 3.1.8 is able to run about all versions of Apache, PHP, MySQL.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.8 32 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.14
Wampserver 3.1.8 64 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25/8.0.15 - MariaDB 10.3.14
PhPMyadmin 4.8.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 09:54PM

Ah, That does make sense. Thanks for the explanation.

So Wamp Server is ready if my application needs a later version. I simply download and install them as needed, whether 32 or 64 bit.

Thank you.

Ron



Edited 1 time(s). Last edit at 04/07/2019 09:57PM by ronk.

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 07, 2019 11:43PM

After thinking a bit more about what you said, have a question.

As you noticed, the Wamp status shows I have a 64bit version of MySQL, but all the rest are 32bit versions. phpMyAdmin indeed shows 5.6.17 MySQL is running.

You commented that you hoped my basic version was 32bit 5.6.29; and I don't think it is, so I cannot delete the 64 bit version, is that right? Would the database(s) have to be rebuilt to go from 64 to 32bit for MySQL?

How is that even possible it runs like this? I get those WARNINGs in the status report as you saw.

Ron

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: Otomatic (Moderator)
Date: April 08, 2019 09:28AM

Hi,

What is the version number noted at the left of MySQL with a Left-Click on Wampmanager icon ?

This version number indicate the version of MySQL you use.

If it is 64 bit version 5.6.17, this may cause problems in the future since all the rest (Apache and PHP) are in 32 bits. It is not recommended to mix 32 and 64 bit versions.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.8 32 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.14
Wampserver 3.1.8 64 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25/8.0.15 - MariaDB 10.3.14
PhPMyadmin 4.8.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 08, 2019 05:45PM

left clicking on the icon, MySQL shows 5.6.17, which in the tools display of versions, is supposedly a 64 bit app.
Could I switch easily to 5.6.29, which is 32 bit, and then delete (how?) the other service?

I have no problem leaving as is, since all is running fine on Windows 10 1809.

Ron

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: Otomatic (Moderator)
Date: April 08, 2019 06:16PM

Hi,

> Could I switch easily to 5.6.29, which is 32 bit, and then delete (how?) the other service?
It is not an other service !
After switching to MySQL 5.6.29, you can delete MySQL 5.6.17 by :
Right-Click -> Tools -> Delete unused versions -> Delete MySQL 5.6.17

Warning Switching from one version of MySQL (5.6.17) to another (5.6.29) does not transfer the databases you could have created.
If you have created a database, you must first export it to a SQL file before switching versions of MySQL, then import the SQL file into the new version.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.8 32 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.14
Wampserver 3.1.8 64 bit - Apache 2.4.39 - PHP 7.3.4/7.2.17/7.1.28/7.0.33/5.6.40 - MySQL 5.7.25/8.0.15 - MariaDB 10.3.14
PhPMyadmin 4.8.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update to 3.1.8
Posted by: ronk (---.hsd1.mn.comcast.net)
Date: April 12, 2019 11:56PM

We can close this thread, since I finally decided to cleanup the mixed 64bit/32bit situation and do a full install of 3.1.7 and then updated to 3.1.8. All is working quite well, but shall post another topic/question.

Ron

Options: ReplyQuote


Sorry, you can't reply to this topic. It has been closed.